Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# PajaTypes Namespace Reference

Generic types used in Demopaja. More...

## Compounds
class | BBox2C
| Bounding box class. More...
class | ColorC
| RGBA color class. More...
class | DecomposeAffineC
| Decomposes a matrix into affine parts. More...
class | Matrix2C
| 2x3 matrix class. More...
class | Matrix3C
| 3x4 matrix class. More...
class | QuatC
| Quaternion class. More...
class | Vector2C
| 2D Vector class. More...
class | Vector3C
| 3D vector class. More...
## Typedefs
typedef char | int8
| Signed 8-bit integer.
typedef unsigned char | uint8
| Unsigned 8-bit integer.
typedef short | int16
| Signed 16-bit integer.
typedef unsigned short | uint16
| Unsigned 16-bit integer.
typedef int | int32
| Signed 32-bit integer.
typedef unsigned int | uint32
| Unsigned 32-bit integer.
typedef float | float32
| Single precicion floating point value.
typedef double | float64
| Double precicion floating point value.
typedef long double | float80
| Extra precicion floating point value.
## Functions
ColorC | operator * (float s, const ColorC &v)
Vector2C | operator * (const Matrix2C &m, const Vector2C &v)
Vector2C | operator * (const Vector2C &v, const Matrix2C &m)
Vector2C & | operator *= (Vector2C &v, const Matrix2C &m)
Vector3C | operator * (const Matrix3C &m, const Vector3C &v)
Vector3C | operator * (const Vector3C &v, const Matrix3C &m)
Vector3C & | operator *= (Vector3C &v, const Matrix3C &m)
QuatC | operator * (float32 f32Scalar, const QuatC &rQuat)
Vector2C | operator * (float32 s, const Vector2C &v)
Vector3C | operator * (float32 s, const Vector3C &v)

## Detailed Description

Generic types used in Demopaja.

The PajaTypes namespace contains all basic data types used in Demopaja, such as integer types, floating-point types, vectors, matrices, quaternion, and color.

## Typedef Documentation

typedef float float32

| Single precicion floating point value.

typedef double float64

| Double precicion floating point value.

typedef long double float80

| Extra precicion floating point value.

typedef short int16

| Signed 16-bit integer.

typedef int int32

| Signed 32-bit integer.

typedef char int8

| Signed 8-bit integer.

typedef unsigned short uint16

| Unsigned 16-bit integer.

typedef unsigned int uint32

| Unsigned 32-bit integer.

typedef unsigned char uint8

| Unsigned 8-bit integer.